[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'TypInfo' (#rtl)

# TGetPropValue

Callback type for the OnGetPropValue callback event

## Declaration

Source position: typinfo.pp line 902

`type TGetPropValue = function(`
`Instance: TObject;`
`PropInfo: PPropInfo;`
`PreferStrings: Boolean`
`):Variant;`

## Description

The callback function must return the property with name PropName of instance Instance. If PreferStrings is true, it should favour converting the property to a string value. The function needs to return the variant with the property value.